package com.czg.account.service;

import com.czg.account.dto.user.userinfo.UserInfoDTO;
import com.czg.account.dto.user.userinfo.UserInfoEditDTO;
import com.czg.account.dto.user.userinfo.UserInfoPwdEditDTO;
import com.czg.account.entity.UserInfo;
import com.mybatisflex.core.service.IService;

import java.math.BigDecimal;

/**
 *  服务层。
 *
 * @author Administrator
 * @since 2025-02-11
 */
public interface UserInfoService extends IService<UserInfo> {

    UserInfoDTO getInfo(long userInfoId);


    Boolean updateInfo(long shopId, long userId, UserInfoEditDTO userInfoEditDTO);

    Boolean updatePwd(long userId, UserInfoPwdEditDTO userInfoPwdEditDTO);

    Boolean getCode(Long userId, String type);

    void updateDistributionAmount(long userId, BigDecimal amount);

    void initAc(UserInfo userInfo);
}
